.sheet {
  margin-top: 50px;
  padding: 1.8rem 0 1.5rem; }

.visibility-hidden {
  visibility: hidden; }

.ddm-field-options {
  align-items: center;
  display: flex; }
  .ddm-field-options.dragging {
    background: #fff;
    border-radius: 4px;
    box-shadow: 0 1px 50px rgba(0, 0, 0, 0.35);
    padding: 1rem;
    position: absolute;
    z-index: 9999; }
  .ddm-field-options .lexicon-icon-drag {
    color: #a7a9bc;
    font-size: 29px;
    margin-left: -8px;
    margin-top: 4px; }
  .ddm-field-options .form-group {
    margin: 0;
    width: 100%; }
    .ddm-field-options .form-group label,
    .ddm-field-options .form-group p {
      display: none; }
    .ddm-field-options .form-group .key-value-editor label,
    .ddm-field-options .form-group .key-value-editor p {
      color: #c4cfd6;
      display: inline-block;
      margin-right: 5px; }
    .ddm-field-options .form-group .key-value-editor input {
      background: transparent;
      border: none;
      color: #6b6c7e;
      display: inline-block;
      outline: none; }
      .ddm-field-options .form-group .key-value-editor input.disabled {
        cursor: not-allowed; }
    .ddm-field-options .form-group .key-value-editor label,
    .ddm-field-options .form-group .key-value-editor p,
    .ddm-field-options .form-group .key-value-editor input {
      font-size: 11px; }
  .ddm-field-options .close-modal {
    font-size: 8px;
    position: absolute;
    right: 8px;
    top: 4px; }
  .ddm-field-options .ddm-source-dragging {
    opacity: 0.4; }
  .ddm-field-options .ddm-options-drag {
    cursor: grab;
    margin-bottom: 26px; }
    .ddm-field-options .ddm-options-drag.disabled {
      cursor: inherit; }
  .ddm-field-options.dragging {
    cursor: grabbing; }
  .ddm-field-options > div {
    position: relative;
    width: 100%; }

.ddm-options-target {
  background: #f1f5ff;
  border: solid 2px #82aaf8;
  height: 10px;
  margin: 6px 0;
  opacity: 0;
  width: 100%; }
  .ddm-options-target.targetOver {
    opacity: 1; }

.ddm-field-actions-container {
  background-color: #0b5fff;
  border: 2px solid #0b5fff;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  color: #fff;
  font-weight: 600;
  height: 28px;
  justify-content: space-between;
  left: -2px;
  padding: 0 0 2px 8px;
  position: absolute;
  top: -30px;
  width: auto;
  z-index: 50; }
  .ddm-field-actions-container.ddm-fieldset {
    background-color: #5aca75;
    border-color: #5aca75; }
  .ddm-field-actions-container .actions-label {
    font-size: 14px;
    text-transform: capitalize; }
  .ddm-field-actions-container .dropdown-action button {
    color: #fff;
    margin-right: -8px;
    margin-top: -4px; }

.ddm-field-settings .tab-content > div > .tab-pane {
  display: none; }

.ddm-field-settings .tab-content > div > .active {
  display: block; }

.ddm-field-settings .alloy-editor {
  width: 100%; }

.ddm-field-settings .ddm-field-options-container .ddm-field-text {
  padding-right: 30px; }

.ddm-field-settings .ddm-field-options-container .has-error .ddm-field-text {
  background-color: #f1f2f5;
  border-color: #e7e7ed; }

.ddm-field-settings .ddm-field-options-container .has-error .key-value-editor .key-value-reference-input {
  color: #da1414; }

.ddm-fieldtypes-dropdown .dropdown {
  display: inline-block; }

.ddm-field-types-panel .panel-secondary > a {
  padding-left: 17px; }
  .ddm-field-types-panel .panel-secondary > a:hover {
    background-color: #f0f5ff; }

.ddm-field-types-panel .panel-secondary,
.ddm-field-types-panel .ddm-drag-item {
  border-radius: 0; }

.ddm-field-types-panel .ddm-drag-item:last-child {
  border-bottom: none; }

.ddm-drag-item.dragging {
  cursor: move;
  cursor: grabbing;
  z-index: 99999; }

.ddm-form-page {
  padding: 0 1.5rem; }

.ddm-form-pagination {
  align-items: center;
  display: flex;
  justify-content: space-between;
  padding: 0 2.4rem 0 3rem; }
  .ddm-form-pagination.position-absolute {
    right: 0; }
  .ddm-form-pagination.wizard-mode {
    border-bottom: 1px solid #dee4e9;
    margin-bottom: 1.4rem;
    padding-bottom: 0.2rem;
    padding-right: 6rem; }
  .ddm-form-pagination.pagination-mode {
    border-top: 1px solid #dee4e9;
    margin-bottom: -25px;
    margin-top: 1.4rem;
    min-height: 90px; }
  .ddm-form-pagination .ddm-wizard,
  .ddm-form-pagination .ddm-pagination {
    width: 100%; }
  .ddm-form-pagination .ddm-pagination {
    margin-bottom: 0; }
    .ddm-form-pagination .ddm-pagination .ddm-page-settings {
      margin-left: 0; }
  .ddm-form-pagination .ddm-page-settings {
    margin-left: 2.4rem; }
  .ddm-form-pagination .ddm-wizard {
    margin-bottom: 24px;
    padding: 0 15px; }
  .ddm-form-pagination .multi-step-item {
    cursor: pointer; }

.ddm-paginated-builder {
  padding: 0;
  position: relative; }
  .ddm-paginated-builder.bottom .ddm-paginated-builder-dropdown {
    bottom: 25px; }
  .ddm-paginated-builder.top .ddm-paginated-builder-dropdown {
    top: 32px; }

.horizontal-line {
  background-color: #cdced9;
  height: 1px;
  margin-bottom: 40px;
  margin-top: 40px;
  padding: 0 10px; }

.page {
  padding: 0;
  position: relative; }
  .page .add-page-button-container {
    align-items: center;
    display: flex;
    margin: 24px 0; }
    .page .add-page-button-container .add-page-button {
      margin: 0 10px;
      white-space: nowrap; }
    .page .add-page-button-container .horizontal-line {
      background-color: #cdced9;
      height: 1px;
      margin: 4px 0;
      padding: 0;
      width: 100%; }
  .page h5.pagination {
    color: #a7a9bc;
    font-size: 10px;
    text-transform: uppercase; }
  .page .ddm-paginated-builder-dropdown {
    position: absolute;
    right: 24px; }
    .page .ddm-paginated-builder-dropdown button.dropdown-toggle {
      border-width: 0;
      color: #6b6c7e; }
      .page .ddm-paginated-builder-dropdown button.dropdown-toggle:hover {
        background-color: #f7f8f9;
        border-color: #cdced9;
        color: #272833; }
  .page.bottom .ddm-paginated-builder-dropdown {
    bottom: 25px; }
  .page.top .ddm-paginated-builder-dropdown {
    right: 20px;
    top: 20px; }
  .page .ddm-paginated-builder-reorder {
    position: absolute;
    right: 60px;
    top: 32px; }
    .page .ddm-paginated-builder-reorder .reorder-page-button {
      border-width: 0;
      margin-right: 4px; }
  .page .sheet {
    margin: 0;
    padding: 0; }
  .page .tooltip-inner {
    width: max-content; }

.ddm-form-builder .moveable .ddm-field-container {
  cursor: grab; }

.ddm-form-builder .ddm-field-container {
  border: 1px solid transparent;
  position: relative; }

.ddm-form-builder .ddm-drag {
  background-color: #fff;
  padding: 1rem 0;
  width: 100%; }
  .ddm-form-builder .ddm-drag .form-group {
    margin-bottom: 0; }

.ddm-form-builder .ddm-drag .form-control {
  cursor: grab; }

.ddm-form-builder .ddm-drag.dragging .form-control {
  cursor: grabbing; }

.ddm-form-builder .ddm-drag.dragging {
  border-radius: 4px;
  box-shadow: 0 0 3px 0 rgba(0, 0, 0, 0.2);
  cursor: grabbing;
  opacity: 0.7;
  position: absolute;
  z-index: 10; }

.ddm-form-builder .ddm-drag-item {
  cursor: move;
  cursor: grab;
  position: inherit; }

.ddm-form-builder .ddm-drag-item.dragging {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
  cursor: grabbing;
  z-index: 20; }

.ddm-form-builder .col.col-empty.lfr-initial-col .ddm-target,
.ddm-form-builder .dragging {
  background-color: #f7f8f9;
  border: 2px dashed #a7a9bc;
  border-radius: 4px;
  color: #a7a9bc; }

.ddm-form-builder .col.col-empty .ddm-empty-page {
  border-radius: 6px;
  height: auto;
  line-height: 32px;
  text-align: center; }
  .ddm-form-builder .col.col-empty .ddm-empty-page.target-droppable {
    animation-direction: alternate;
    animation-duration: 0.7s;
    animation-iteration-count: infinite;
    animation-name: drop-color;
    animation-timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
    background-color: #2e5aac;
    border-color: #0b5fff;
    color: #0b5fff; }
  .ddm-form-builder .col.col-empty .ddm-empty-page.targetOver, .ddm-form-builder .col.col-empty .ddm-empty-page.target-over {
    color: #2e5aac; }
    .ddm-form-builder .col.col-empty .ddm-empty-page.targetOver .ddm-empty-page-message, .ddm-form-builder .col.col-empty .ddm-empty-page.target-over .ddm-empty-page-message {
      visibility: hidden; }

@keyframes drop-color {
  0% {
    background-color: #f0f5ff; }
  100% {
    background-color: rgba(179, 205, 255, 0.3); } }
  .ddm-form-builder .col.col-empty .ddm-empty-page .ddm-empty-page-message {
    margin-bottom: 0;
    padding: 24px 0; }

.ddm-form-builder .col.col-empty .ddm-target {
  border: 2px dashed transparent;
  border-radius: 4px;
  min-height: 16px; }
  .ddm-form-builder .col.col-empty .ddm-target.targetOver, .ddm-form-builder .col.col-empty .ddm-target.target-over {
    background-color: #f0f5ff;
    border-color: #0b5fff;
    border-style: solid; }

.ddm-form-builder .ddm-resize-handle {
  top: calc(50% - 4px);
  z-index: 1; }

.ddm-form-builder .ddm-field-container {
  margin: 0 1px; }
  .ddm-form-builder .ddm-field-container .ddm-resize-handle-left {
    left: -5px !important; }
  .ddm-form-builder .ddm-field-container .ddm-resize-handle-right {
    left: inherit !important;
    right: -5px !important; }
  .ddm-form-builder .ddm-field-container .ddm-resize-handle-left,
  .ddm-form-builder .ddm-field-container .ddm-resize-handle-right {
    background-color: #ccc;
    cursor: inherit;
    opacity: 0; }
  .ddm-form-builder .ddm-field-container:active > .ddm-resize-handle-left,
  .ddm-form-builder .ddm-field-container:active > .ddm-resize-handle-right, .ddm-form-builder .ddm-field-container.hovered > .ddm-resize-handle-left,
  .ddm-form-builder .ddm-field-container.hovered > .ddm-resize-handle-right {
    opacity: 0.5; }

.ddm-form-builder .resizeable .ddm-field-container.dragging > .ddm-resize-handle-left,
.ddm-form-builder .resizeable .ddm-field-container.dragging > .ddm-resize-handle-right, .ddm-form-builder .resizeable .ddm-field-container.expanded > .ddm-resize-handle-left,
.ddm-form-builder .resizeable .ddm-field-container.expanded > .ddm-resize-handle-right, .ddm-form-builder .resizeable .ddm-field-container.hovered > .ddm-resize-handle-left,
.ddm-form-builder .resizeable .ddm-field-container.hovered > .ddm-resize-handle-right, .ddm-form-builder .resizeable .ddm-field-container.selected > .ddm-resize-handle-left,
.ddm-form-builder .resizeable .ddm-field-container.selected > .ddm-resize-handle-right {
  background-color: #1c67fb;
  cursor: col-resize;
  opacity: 1; }

.ddm-form-builder .resizeable .ddm-field-container.ddm-fieldset.hovered > .ddm-resize-handle-left,
.ddm-form-builder .resizeable .ddm-field-container.ddm-fieldset.hovered > .ddm-resize-handle-right, .ddm-form-builder .resizeable .ddm-field-container.ddm-fieldset.selected > .ddm-resize-handle-left,
.ddm-form-builder .resizeable .ddm-field-container.ddm-fieldset.selected > .ddm-resize-handle-right {
  background-color: #5aca75; }

.ddm-resize-handle {
  border: none !important;
  border-radius: unset !important;
  height: 8px;
  position: absolute;
  width: 8px; }

.shim {
  cursor: grabbing; }

.sidebar-container {
  bottom: 0;
  position: fixed;
  right: 0;
  top: 168px;
  transform: translateX(100%);
  transition: transform 0.3s ease-in-out;
  width: 422px;
  z-index: 52; }
  .sidebar-container .navbar-collapse {
    padding-left: 16px; }
  .sidebar-container.open {
    transform: translateX(0%); }
  .sidebar-container .sidebar-body {
    overflow: visible; }
    .sidebar-container .sidebar-body .ddm-form-tabs {
      display: none; }
  .sidebar-container .list-group-item:hover {
    background-color: #f0f5ff; }
  .sidebar-container .ddm-empty {
    display: none; }

.ddm-form-builder .ddm-select-option-label .label-item {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap; }

.ddm-form-builder .ddm-field-container .btn:disabled {
  cursor: inherit; }

.ddm-form-builder .lfr-ddm-form-pagination-controls {
  display: none; }

.ddm-form-builder .ddm-field-container {
  border: 2px solid transparent;
  padding: 0 12px; }
  .ddm-form-builder .ddm-field-container.dragging, .ddm-form-builder .ddm-field-container.expanded, .ddm-form-builder .ddm-field-container.hovered, .ddm-form-builder .ddm-field-container.selected, .ddm-form-builder .ddm-field-container.targetOver {
    border-color: #0b5fff; }
    .ddm-form-builder .ddm-field-container.dragging.ddm-fieldset, .ddm-form-builder .ddm-field-container.expanded.ddm-fieldset, .ddm-form-builder .ddm-field-container.hovered.ddm-fieldset, .ddm-form-builder .ddm-field-container.selected.ddm-fieldset, .ddm-form-builder .ddm-field-container.targetOver.ddm-fieldset {
      border-color: #5aca75; }
  .ddm-form-builder .ddm-field-container.hovered {
    border-width: 1px;
    margin: 1px 2px; }
  .ddm-form-builder .ddm-field-container.active-drop-child {
    border-color: #80acff;
    border-style: dashed; }
  .ddm-form-builder .ddm-field-container.active-drop-child, .ddm-form-builder .ddm-field-container.selected, .ddm-form-builder .ddm-field-container.targetOver {
    border-width: 2px;
    margin: 0; }

.ddm-form-builder .form-builder-layout {
  padding: 1em 1.5rem; }

.ddm-select-dropdown .dropdown-item:focus {
  background-color: transparent; }

.ddm-data-provider-container .container-input-field,
.ddm-data-provider-container .container-output-field {
  margin-bottom: 10px; }

.ddm-data-provider-container .container-input-label,
.ddm-data-provider-container .container-output-label,
.ddm-data-provider-container .alert {
  margin-top: 10px; }

.ddm-rule-list-container .card-col-field {
  display: flex;
  width: max-content; }
  .ddm-rule-list-container .card-col-field .invalid-rule {
    padding-top: 3px; }

.ddm-rule-list-container .ddm-condition-container {
  display: inline-block; }

.ddm-rule-list-settings {
  position: relative; }
  .ddm-rule-list-settings > .component-action {
    left: 0;
    position: absolute;
    top: 0; }

.timeline-item .panel-body {
  position: relative; }
  .timeline-item .panel-body .dropdown {
    position: absolute;
    right: 4px;
    top: 4px; }
  .timeline-item .panel-body .ddm-data-provider-container .dropdown {
    position: relative; }
  .timeline-item .panel-body .dropdown-toggle-operator {
    padding: 4px 12px; }

.liferay-ddm-form-builder-rule-condition-list .timeline-item .lfr-ddm-form-field-container {
  padding: 0; }

.liferay-ddm-form-builder-rule-condition-list .timeline-item:first-child:before {
  top: 31px; }

.liferay-ddm-form-builder-rule-condition-list .timeline-item:last-child > .operator {
  display: none; }

.liferay-ddm-form-builder-rule-condition-list .timeline-item .operator {
  border-radius: 4px;
  font-size: 14px;
  margin-top: 10px;
  position: relative; }
  .liferay-ddm-form-builder-rule-condition-list .timeline-item .operator .panel-body {
    padding: 5px 17px; }

.liferay-ddm-form-builder-rule-condition-list .timeline-item .panel-inline {
  display: inline-block; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider p {
  display: inline-block; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-label-container {
  margin-bottom: 15px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-output,
.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-input {
  margin-right: 10px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-output-container,
.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-input-container {
  background-color: #f8f8f8;
  border-top: 1px solid #dce0e3;
  margin-top: 15px;
  padding: 20px 55px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-output-list .container-input-field,
.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-input-list .container-input-field {
  margin-bottom: 10px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-output-list .container-input-label,
.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .data-provider-parameter-input-list .container-input-label {
  margin-top: 10px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .action-rule-data-provider .no-padding {
  padding: 0; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .container-target-action {
  display: inherit; }
  .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .container-target-action h4 {
    margin-right: 10px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .lfr-ddm-form-field-container-inline {
  display: inline-block; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .timeline-item:last-child:before {
  bottom: 42px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .timeline-item .lfr-ddm-form-field-container {
  padding: 0; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list + div div:before {
  bottom: 20px;
  top: -72px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .timeline-item .panel .no-padding-bottom {
  padding-bottom: 0; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container {
  background-color: #f8f8f8;
  display: flex;
  flex-wrap: wrap;
  margin-top: 15px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-fields {
  margin-top: 22px;
  padding: 8px 25px 25px; }
  .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-fields textarea {
    background-color: #f5f5f5;
    border: 1px solid #ccc;
    border-radius: 2px;
    color: #333;
    font-family: Menlo;
    font-size: 13px;
    min-height: 200px;
    padding: 10px; }
  .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-fields textarea[readOnly] {
    cursor: not-allowed; }
  .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-fields .calculate-field-target {
    padding-top: 45px; }

.liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component {
  min-width: 238px;
  padding-bottom: 30px;
  padding-top: 30px; }
  .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-add-field-button-container {
    margin: 0 auto;
    padding: 0;
    width: 206px; }
    .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-add-field-button-container .calculator-add-field-button {
      height: 49px;
      margin-bottom: 5px;
      margin-left: 1px;
      width: inherit; }
    .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-add-field-button-container .form-builder-select-field {
      margin-left: 0;
      width: 206px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-add-field-button-container .form-builder-select-field .select-field-trigger {
        display: none; }
  .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area {
    display: flex;
    margin: 0 auto;
    padding: 0;
    width: 210px; }
    .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area ul {
      list-style-type: none; }
    .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons {
      display: flex;
      flex-flow: row wrap;
      margin: 0;
      overflow: inherit;
      padding: 0; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.calculator-button,
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons .calculator-add-operator-button-area {
        align-items: center;
        cursor: pointer;
        display: flex;
        height: 49px;
        justify-content: center;
        margin: 1px;
        text-align: center;
        width: 49px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons .calculator-add-operator-button-area .calculator-add-operator-button {
        height: 50px;
        position: absolute;
        width: 50px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons .calculator-add-operator-button-area .form-builder-select-field {
        margin-left: -19px;
        margin-top: -10px;
        position: absolute; }
        .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons .calculator-add-operator-button-area .form-builder-select-field .select-field-trigger {
          display: none; }
        .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons .calculator-add-operator-button-area .form-builder-select-field .drop-chosen {
          border: solid 1px #dde1e3;
          border-radius: 4px;
          left: -17px;
          padding: 5px 0;
          text-align: left;
          top: 11px;
          width: 100px; }
          .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons .calculator-add-operator-button-area .form-builder-select-field .drop-chosen .search-chosen {
            display: none; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.button-padding-icons {
        padding-left: 8px;
        padding-top: 10px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.button-two-columns {
        width: 100px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.border-top-left {
        border-top-left-radius: 4px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.border-top-right {
        border-top-right-radius: 4px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.border-bottom-right {
        border-bottom-right-radius: 4px; }
      .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons li.border-bottom-left {
        border-bottom-left-radius: 4px; }
    .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons-numbers {
      margin-right: 4px;
      width: 153px; }
    .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .calculate-container-calculator-component .calculator-button-area .calculator-buttons-operators {
      width: 51px; }

.liferay-ddm-form-rule-builder-timeline .form-group-item div.dropdown,
.liferay-ddm-form-rule-builder-timeline .action {
  position: relative !important;
  right: inherit !important;
  top: inherit !important; }

.liferay-ddm-form-rule-builder-timeline .timeline-item {
  color: #869cad;
  position: relative; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item:not(:nth-of-type(1)) .timeline-icon {
    background-color: #6b6c7e; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item .action-panel {
    display: table;
    width: 100%; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item .calculate-container .form-group {
    margin: 0; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item .form-group,
  .liferay-ddm-form-rule-builder-timeline .timeline-item .form-group-autofit {
    margin: 0; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item .form-group-item {
    max-width: 200px; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item .rule-choose-box {
    display: table-cell; }
  .liferay-ddm-form-rule-builder-timeline .timeline-item .timeline-icon {
    border: 2px solid #6b6c7e;
    margin-right: 2px; }

.liferay-ddm-form-builder-rule-builder-content .form-builder-section-title {
  font-size: 32px;
  margin: 0;
  padding-top: 40px; }
  .liferay-ddm-form-builder-rule-builder-content .form-builder-section-title.text-default {
    font-weight: normal; }

.liferay-ddm-form-builder-rule-builder-content h4 {
  font-size: 1rem; }

.liferay-ddm-form-rule-builder-footer {
  margin: 3rem 0;
  padding: 12px 54px; }
  .liferay-ddm-form-rule-builder-footer .btn:not(:last-child) {
    margin-right: 5px; }

.liferay-ddm-form-builder-calculator {
  align-content: center;
  display: flex;
  justify-content: center; }

.dropdown-item.logic-operator {
  cursor: pointer; }

.col-empty > p {
  margin: 0; }

.calculate-fieldname {
  display: block;
  font-size: 10px; }

.dropdown-menu.dropdown-opened {
  display: block;
  min-width: 100%; }

.dropdown-menu.show {
  z-index: 1200; }

.liferay-ddm-form-builder-calculator {
  flex-direction: column; }
  .liferay-ddm-form-builder-calculator .calculator-button-area li.disabled {
    pointer-events: none; }

.ddm-field-container {
  border: 1px solid transparent;
  cursor: grab;
  position: relative; }
  .ddm-field-container .input-group-inset-item-after .btn {
    padding-bottom: 0.5rem;
    padding-right: 0.18rem; }

.ddm-form-builder-wrapper button[disabled],
.ddm-form-builder-wrapper input[disabled],
.ddm-form-builder-wrapper textarea[disabled] {
  pointer-events: none; }

.ddm-target {
  height: 100%;
  width: 100%; }

.liferay-ddm-form-rule-builder-timeline .timeline-item .panel-body .dropdown.dropdown-action, .liferay-ddm-form-rule-builder-timeline .timeline-item .panel-body .dropdown.calculator-add-field-button-container {
  position: relative;
  right: 0;
  top: 0; }

.liferay-ddm-form-rule-builder-timeline .timeline-item .panel-body .dropdown .calculator-add-operator-button-area {
  background-color: #fff;
  border: solid 1px #cdced9;
  color: #6b6c7e; }

.form-builder-rule-builder .add-item.timeline-increment-icon {
  padding-left: 10px; }

.form-builder-rule-builder .liferay-ddm-form-rule-builder-timeline {
  margin-bottom: 0; }
  .form-builder-rule-builder .liferay-ddm-form-rule-builder-timeline.can-remove-item .timeline-item:hover > .container-trash {
    display: block; }
  .form-builder-rule-builder .liferay-ddm-form-rule-builder-timeline [class*=' target-message-'] {
    max-width: max-content; }
  .form-builder-rule-builder .liferay-ddm-form-rule-builder-timeline.liferay-ddm-form-builder-rule-action-list .timeline-item:last-child:before {
    bottom: 0; }
  .form-builder-rule-builder .liferay-ddm-form-rule-builder-timeline .container-trash {
    cursor: pointer;
    display: none;
    padding: 10px;
    position: absolute;
    right: 10px;
    top: 13px; }
    .form-builder-rule-builder .liferay-ddm-form-rule-builder-timeline .container-trash:hover {
      color: #65b6f0; }

.form-builder-rule-builder-rule-description {
  margin-bottom: 0; }

.form-builder-select-field {
  position: relative; }

.form-builder-select-field .select-field-trigger {
  display: flex;
  justify-content: space-between; }

.form-builder-select-field .option-selected-placeholder {
  color: #6a6c7d; }

.form-builder-select-field .dropdown-menu {
  display: block;
  max-width: initial;
  min-width: 0;
  overflow: hidden;
  width: 100%; }

.form-builder-select-field .dropdown-menu .dropdown-section,
.form-builder-select-field .dropdown-menu .dropdown-item,
.form-builder-select-field .dropdown-menu .no-results-list {
  padding: 0.5rem 1rem; }

.form-builder-select-field .dropdown-menu .placeholder-dropdown-item {
  color: #a7a9bc; }

.form-builder-select-field .dropdown-menu .placeholder-dropdown-item:hover {
  color: #a7a9bc; }

.form-builder-select-field .dropdown-menu .custom-control {
  padding-bottom: 0; }

.form-builder-select-field .select-arrow-down-container {
  color: #6b6c7e; }

.form-builder-select-field .search-chosen {
  border-bottom: 1px solid #e4e9ec;
  position: relative; }

.form-builder-select-field .select-search-container {
  left: 8px;
  position: absolute;
  top: 2px; }

.form-builder-select-field .select-search-container a {
  color: #869cad; }

.form-builder-select-field.active .select-field-trigger {
  border-bottom: 2px solid #65b6f0; }

.form-builder-select-field
.form-control[disabled]
> a.select-arrow-down-container {
  cursor: not-allowed;
  opacity: 0.5; }

.form-builder-select-field .form-control[disabled]:focus {
  border-bottom: 2px solid #869cad;
  text-decoration: none; }

.form-builder-select-field .select-field-trigger {
  height: inherit; }

.form-builder-select-field .select-field-trigger .option-selected {
  overflow: hidden; }

.form-builder-select-field .drop-chosen {
  background-color: #fff;
  border-radius: 0 0 4px 4px;
  box-shadow: 0 2px 14px 0 rgba(58, 75, 87, 0.1);
  left: 0;
  position: absolute;
  right: 0;
  z-index: 1010; }

.form-builder-select-field .drop-chosen .dropdown-visible {
  display: block; }

.form-builder-select-field .drop-chosen .results-chosen {
  margin: 0;
  min-width: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 0; }

.form-builder-select-field
.drop-chosen
.results-chosen
.inline-scroller
> span {
  padding-left: 16px; }

.form-builder-select-field .multiple-label-list {
  display: flex;
  flex-flow: wrap;
  list-style: none;
  margin: 0;
  padding-right: 20px;
  width: auto; }
  .form-builder-select-field .multiple-label-list li {
    overflow: hidden; }
  .form-builder-select-field .multiple-label-list span.label-secondary {
    max-width: 200px; }
  .form-builder-select-field .multiple-label-list .multiple-label {
    margin-bottom: 4px;
    margin-right: 6px;
    margin-top: 0;
    overflow: hidden;
    padding-right: 20px;
    position: relative; }
    .form-builder-select-field .multiple-label-list .multiple-label a {
      font-size: 6px;
      position: absolute;
      right: 5px;
      top: 1px; }
      .form-builder-select-field .multiple-label-list .multiple-label a .icon-monospaced.lexicon-icon {
        margin-bottom: 1px;
        margin-left: 5px;
        padding: 0; }

.ddm-form-builder .modal {
  display: none;
  margin: inherit; }

.ddm-form-builder .modal-dialog {
  position: relative; }

.ddm-form-builder .modal-sm {
  max-width: 300px; }

@media (min-width: 576px) {
  .ddm-form-builder .modal-sm {
    max-width: 300px; } }

input[class^='form-builder-page-header'] {
  background: transparent;
  border: none;
  height: 36px;
  margin: 0;
  padding-top: 0; }
  input[class^='form-builder-page-header']:focus {
    background: none;
    border: none; }